Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class MatlabOdeModel

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.model.dynamics.EModelRoleSupport
                  |
                  +--biouml.model.dynamics.EModel
                        |
                        +--biouml.model.dynamics.MatlabOdeModel

public class MatlabOdeModel
extends EModel
implements DataCollectionListener

Field Summary
`final static int` | `COMMENT_INDENT`
`final static String` | `DEFAULT_MATLAB_WROK_DIR`
`final static String` | `FUNCTION_EXT`
`final static String` | `SCRIPT_EXT`

Constructor Summary
`MatlabOdeModel(DiagramElement de)`

Method Summary
`void` | `elementAdded(DataCollectionEvent e)` Called after data element was added.
`void` | `elementChanged(DataCollectionEvent e)` Called after data element was changed.
`void` | `elementRemoved(DataCollectionEvent e)` Called after data element was removed.
`void` | `elementWillAdd(DataCollectionEvent e)` Called before data element will be added.
`void` | `elementWillChange(DataCollectionEvent e)` Called before data element will be changed.
`void` | `elementWillRemove(DataCollectionEvent e)` Called before data element will be removed.
`File[]` | `generateModel(File outDir)`
`String` | `getMatlabWorkDir()`
`String` | `getOdeSolverName()`
`DiagramElement` | `processError(String err, String fileName, int row, int column)`
`void` | `removeNotUsedConstants(Set existingConstants)`
`void` | `setMatlabWorkDir(String matlabWorkDir)`
`void` | `setOdeSolverName(String odeSolverName)`
`void` | `updateConstants()`
`void` | `updateVariables()`

Methods inherited from class biouml.model.dynamics.EModel
`addConstant, getCompletionTime, getConstants, getErrorCategory, getInitialTime, getVariables, setCompletionTime, setErrorCategory, setInitialTime`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### COMMENT_INDENT

    public final static int COMMENT_INDENT

### DEFAULT_MATLAB_WROK_DIR

    public final static String DEFAULT_MATLAB_WROK_DIR

### FUNCTION_EXT

    public final static String FUNCTION_EXT

### SCRIPT_EXT

    public final static String SCRIPT_EXT

Constructor Detail

### MatlabOdeModel

    public MatlabOdeModel(DiagramElement de)
                     throws java.lang.Exception

Method Detail

### elementAdded

    public void elementAdded(DataCollectionEvent e)
                       throws java.lang.Exception

  Called after data element was added.
  Parameters:
    e - DataCollectionEvent information about added data element.
  Throws:
    Exception - If error occured.

### elementChanged

    public void elementChanged(DataCollectionEvent e)
                         throws java.lang.Exception

  Called after data element was changed. `e` contains old data element (which already changed).
  Parameters:
    e - DataCollectionEvent information about changed data element.
  Throws:
    Exception - If error occured.

### elementRemoved

    public void elementRemoved(DataCollectionEvent e)
                         throws java.lang.Exception

  Called after data element was removed.
  Parameters:
    e - DataCollectionEvent information about removed data element.
  Throws:
    Exception - If error occured.

### elementWillAdd

    public void elementWillAdd(DataCollectionEvent e)
                         throws ru.biosoft.access.DataCollectionVetoException,
                                java.lang.Exception

  Called before data element will be added.
  Parameters:
    e - DataCollectionEvent information about will added data element.
  Throws:
    DataCollectionVetoException - If listener cancel adding of data element.
    Exception - If error occured.

### elementWillChange

    public void elementWillChange(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

  Called before data element will be changed. `e` contains old data element (which will be changed).
  Parameters:
    e - DataCollectionEvent information about will change data element.
  Throws:
    DataCollectionVetoException - If listener cancel changing of data element.
    Exception - If error occured.

### elementWillRemove

    public void elementWillRemove(DataCollectionEvent e)
                            throws ru.biosoft.access.DataCollectionVetoException,
                                   java.lang.Exception

  Called before data element will be removed.
  Parameters:
    e - DataCollectionEvent information about will removed data element.
  Throws:
    DataCollectionVetoException - If listener cancel removing of data element.
    Exception - If error occured.

### generateModel

    public File[] generateModel(File outDir)
                          throws java.lang.Exception

### getMatlabWorkDir

    public String getMatlabWorkDir()

### getOdeSolverName

    public String getOdeSolverName()

### processError

    public DiagramElement processError(String err, String fileName, int row, int column)

### removeNotUsedConstants

    public void removeNotUsedConstants(Set existingConstants)

### setMatlabWorkDir

    public void setMatlabWorkDir(String matlabWorkDir)

### setOdeSolverName

    public void setOdeSolverName(String odeSolverName)

### updateConstants

    public void updateConstants()

### updateVariables

    public void updateVariables()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class org.apache.log4j.Category

to Class java.lang.String

to Class java.util.Map

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM